--[[	PhantomPlates Hooks Module
	by SDPhantom
	https://www.wowinterface.com/forums/member.php?u=34145
	https://www.curseforge.com/members/sdphantomgamer/projects	]]
--------------------------------------------------------------------------

--------------------------
--[[	Namespace	]]
--------------------------
local Name,AddOn=...;

--------------------------
--[[	Hook API	]]
--------------------------
AddOn.OnNamePlateCreated=AddOn.CreateDispatcher();
AddOn.OnNamePlateAdded=AddOn.CreateDispatcher();
AddOn.OnNamePlateRemoved=AddOn.CreateDispatcher();

hooksecurefunc(NamePlateDriverFrame,"AcquireUnitFrame",AddOn.OnNamePlateCreated:EncloseDispatcher());
hooksecurefunc(NamePlateBaseMixin,"OnAdded",AddOn.OnNamePlateAdded:EncloseDispatcher());
hooksecurefunc(NamePlateBaseMixin,"OnRemoved",AddOn.OnNamePlateRemoved:EncloseDispatcher());
